include:
  - template: Security/SAST.gitlab-ci.yml

stages:
  - test
  - upload

sast:
  stage: test    
  allow_failure: true
  rules:
    - if: $CI_MERGE_REQUEST_IID
    - if: $CI_COMMIT_BRANCH == "master"
  artifacts:
    paths: [gl-sast-report.json]
    reports:
      sast: gl-sast-report.json

send-reports:
  stage: upload
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
    - if: $CI_MERGE_REQUEST_IID
  artifacts:
    reports:
      sast: gl-sast-report.json
  script: |
    cat gl-sast-report.json
    content=$(cat gl-sast-report.json)
    if [ "${content}" = "[]" ]
    then
      echo "🙂 all good! Your source code looks amazing"
    else
      echo "😡 ouch! There are some vulnerabilities"
    fi
